Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Interface AbstractPhysicalDevice.BankReadTagProcessor

All Known Subinterfaces:
  AbstractPhysicalDevice.BankTagProcessor, AbstractPhysicalDevice.EPCglobalClass1Gen2TagProcessor

Enclosing class:
  AbstractPhysicalDevice

    public static interface AbstractPhysicalDevice.BankReadTagProcessor

`TagProcessors` should implement this interface if the device can read data from memory banks on the associated tag.

Method Summary
`ReadDeviceOpReport` | `readMemoryBank(String bank, int offset, int length)`

Method Detail

### readMemoryBank

    ReadDeviceOpReport readMemoryBank(String bank,
                                      int offset,
                                      int length)
                                      throws IOException,
                                             AbstractPhysicalDevice.TagResultException

  Parameters:
    `bank` - the memory bank to read data from. See `EPCGen2Util` for helper methods to convert this bank name into an EPCglobal Class 1 Gen 2 standard bank number. Other tag types may define their own values for this bank.
    `offset` - the offset of the memory extent to read from within the named bank
    `length` - the length of data to read (0 < length <= 128)
  Returns:
    the ReadDeviceOpReport containing the results of the read operation. Data returned in the report must be a long array of length 1 or 2.
  Throws:
    `IOException` - if there is an IO error attempting to communicate with the device
    `AbstractPhysicalDevice.TagResultException` - if there is an error reading the value from the tag. See `AbstractPhysicalDevice.TagResultException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD